package com.sheep.gamegroup.presenter;

import com.alibaba.fastjson.JSONObject;
import com.sheep.gamegroup.model.entity.BaseMessage;

/**
 * Created by ljy on 2018/3/21.
 */

public interface TaskListContract {

    interface Presenter{
        void acceptedTask(int page, int pre_page);
        void taskStatus(JSONObject jsonObject);
    }
    interface View{

        void updataView(Object o);
        void failView(Object o);
        void taskStatusSuccess(BaseMessage baseMessage);
        void taskStatusFaile(BaseMessage baseMessage);
    }
}
